---
# tasks file for champs-libres.tile-server-import
- name: download data
  include_tasks: download_data.yml
  tags:
    - download

- name: filter data
  include_tasks: filter_data.yml
  when: polyfile_url is string
  tags:
    - filter

- name: import data into db
  include_tasks: import_data.yml
  when: skip_import is sameas false
  tags:
    - import_osm_db

- name: import contours from geopackage into database
  include_tasks: import_contours.yml
  when: contour_url is string
  tags:
    - contours

- name: import hillshade on disk
  include_tasks: import_hillshade.yml
  when: hillshade_url is string
  tags:
    - hillshade

- name: generate tiles
  include_tasks: generate_tiles.yml
  when: tiles_list_url is string
  tags:
    - generate
